Ergebnis 1 bis 5 von 5

Thema: Installation zope2.9.6 felgeschlagen

  1. #1
    zipfu
    Gast

    Standard Installation zope2.9.6 felgeschlagen

    Hallo,

    Bei der Installation von zope-2.9.6 erhalte ich ausfürung von checkinstall folgende Abbruchmeldung:
    *****************************************
    **** Debian package creation selected ***
    *****************************************

    Building Debian package...OK

    Installing Debian package... FAILED!

    *** Failed to install the package

    Do you want to see the log file? [y]: y
    Selecting previously deselected package zope-2.9.6.
    (Reading database ... 17049 files and directories currently installed.)
    Unpacking zope-2.9.6 (from .../zope-2.9.6_2.9.6-1_i386.deb) ...
    dpkg: error processing /home/zope/Zope-2.9.6-final/zope-2.9.6_2.9.6-1_i386.deb (--install):
    trying to overwrite `/usr/local/bin/python2.4', which is also in package python2.4
    dpkg-deb: subprocess paste killed by signal (Broken pipe)
    Errors were encountered while processing:
    /home/zope/Zope-2.9.6-final/zope-2.9.6_2.9.6-1_i386.deb

    Erasing temporary files...OK

    Writing backup package...OK

    Deleting temp dir...OK

    Kann mir da einer weiterhelfen? Währe supper!
    Achtung: Dies ist ein alter Thread im HTML und Webmaster Forum
    Diese Diskussion ist älter als 90 Tage. Die darin enthaltenen Informationen sind möglicherweise nicht mehr aktuell. Erstelle bitte zu deiner Frage ein neues Thema im Forum !!!!!

  2. #2
    Interessierte/r
    Registriert seit
    24.09.2006
    Ort
    Nordhessen
    Beiträge
    127
    Danke
    0
    Bekam 0 mal "Danke" in 0 Postings

    Standard

    wie hast du das deb erstellt?

    i.A. ist das unkritisch, da er nur anmeckert, dass das python Verzeichnis schon existiert.
    Du kannst mit dpkg --force-all -i zope-2.9.6_2.9.6-1_i386.deb das deb installieren. Habe ich mit zope-2.8.5 unter sarge auch gehabt den Fehler.

  3. #3
    zipfu
    Gast

    Standard

    Hallo Thorsten
    Danke für die Hilfe.

    Habe das Problem gelöst.

    Erstellt habe ich es folgendermassen:
    ./configure --prefix=/……
    make
    checkinstall

    Nach dem Installieren von Python 2.4.4 ( ./configure, make, …..) hatte ich zwei Python zur Auswahl. python und python2.4 habe das zweite genommen was zu der Fehlermeldung führte. Mit Verwendung von python ist die Installation einwandfrei durchgelauffen.

  4. #4
    Interessierte/r
    Registriert seit
    24.09.2006
    Ort
    Nordhessen
    Beiträge
    127
    Danke
    0
    Bekam 0 mal "Danke" in 0 Postings

    Standard

    Hi zipfu,
    ich befinde mich seit einigen Tagen auch beim Upgrade einiger Seiten.
    Ich würde dir empfehlen beim Zope einen --prefix=/usr/local zubenutzen.
    Damit gehst du sicher, dass du nicht mit deiner Distribution kollidierst.
    Noch wichtiger ist das beim selbst übersetzten python!
    Beim mkzopeinstance.py nutze ich ein /home/www/zope288 oder /home/www/zope29x. Das hat den Vorteil, dass du beim Upgrade immer noch eine laufende Version im System hast (eine Datensicherung ersetzt das natürlich nicht...)

    Schau dir mal das install.sh des UnifiedInstallers auf plone.org an. Da steckt alles drin, was du brauchst, um eine Installation in nur einem Verzeichnis unterzubringen.

    Den zeocluster nutze ich auch nicht, aber das selbst übersetzte python inkl. Abhängigkeiten spricht schon für sich.
    Damit kannst du die Seite schnell auf einen anderen Server umziehen oder dir einer virtuellen Maschine (vmware, Virtualbox oder xen) recht fix eine Umgebung aufbauen, anhand derer du das python/zope/plone Gespann updaten oder einfach nur neue Produkte ausprobieren kannst.

    hth
    Thorsten

  5. #5
    HTML Newbie
    Registriert seit
    10.02.2007
    Beiträge
    6
    Danke
    0
    Bekam 0 mal "Danke" in 0 Postings

    Standard

    He Thorsten

    Danke für die Infos und Hilfe. So komme ich in nächster Zeit sicher weiter.
    Wird wohl nicht die letzte Anfrage um Hilfe gewesen sein.

    Umsteiger auf Debian 3.1

Ähnliche Themen

  1. XP-Installation
    Von GUEST im Forum Computer - Internet Forum
    Antworten: 8
    Letzter Beitrag: 13.08.2008, 23:19
  2. VServer und zope2.10 hinter apache
    Von newsbie im Forum Zope & Plone - das deutsche Hilfeforum
    Antworten: 4
    Letzter Beitrag: 15.12.2007, 05:27
  3. PloneCollectoNG Installation
    Von pherison im Forum Zope & Plone - das deutsche Hilfeforum
    Antworten: 0
    Letzter Beitrag: 31.05.2007, 11:19
  4. Migration von Zope2.7 nach Plone2.5
    Von oberstift im Forum Zope & Plone - das deutsche Hilfeforum
    Antworten: 2
    Letzter Beitrag: 11.04.2007, 12:33
  5. problemme bei der installation
    Von diversky im Forum Webanwendungen - Webapplikationen
    Antworten: 2
    Letzter Beitrag: 27.01.2006, 14:07

Stichworte

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •